Skip to content

Delete choice

DELETE
/multiple-choice/{id}/choice/{choiceId}
curl --request DELETE \
--url https://app.surveyrock.com/api/v1/multiple-choice/example/choice/example \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "questionId": "example" }'

Delete a multiple choice option

id
required
string
>= 16 characters <= 16 characters

Multiple choice element ID

choiceId
required
string

Choice ID to delete

Delete choice data

Media typeapplication/json
object
questionId
required

Question ID

string
>= 16 characters <= 16 characters
Examplegenerated
{
"questionId": "example"
}

Choice deleted successfully

Media typeapplication/json
object
success
boolean
data
object
isOther
boolean
deletedAt
string format: date-time
meta

Standard response metadata

object
timestamp

Response timestamp in ISO 8601 format

string format: date-time
version

API version

string
requestId

Unique request identifier

string
Example
{
"success": true,
"meta": {
"version": "3.0"
}
}